// 002 u_
// 03 mar  2008

// -- CopyRight (C) John COLIBRI 2008 - tous droits rservs
// -- documentation: http://www.jcolibri.com

(*$r+*)

unit u_c_server_euro_dollar;
  interface
    uses InvokeRegistry, Types, XSBuiltIns
        , u_i_server_euro_dollar;

    type c_server_euro_dollar=
           class(tInvokableClass, i_server_euro_dollar)
             public
               function f_dollar_to_euro(p_dollar: Double): Double; StdCall;
               procedure euro_to_dollar(p_euro: Double;
                   var pv_dollar: Double); StdCall;
           end; // c_server_euro_dollar

  implementation


    // -- c_server_euro_dollar

    function c_server_euro_dollar.f_dollar_to_euro(p_dollar: Double): Double;
      begin
        Result:= p_dollar / 1.51;
      end; // f_dollar_to_euro

    procedure c_server_euro_dollar.euro_to_dollar(p_euro: Double;
        var pv_dollar: Double);
      begin
        pv_dollar:= p_euro* 1.51;
      end; // euro_to_dollar

      initialization
        InvRegistry.RegisterInvokableClass(c_server_euro_dollar);
      end.

